=== plugins/shotwell-publishing/Makefile ===

PLUGIN := shotwell-publishing

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkitgtk-3.0 \
	gexiv2 \
	rest-0.7 \
	gee-1.0

SRC_FILES := \
	shotwell-publishing.vala \
	FacebookPublishing.vala \
	PicasaPublishing.vala \
	FlickrPublishing.vala \
	YouTubePublishing.vala \
	../common/RESTSupport.vala \
	../common/ui.vala

RC_FILES := \
	facebook.png \
	flickr.png \
	picasa.png \
	youtube.png

include ../Makefile.plugin.mk
