=== debian/changelog ===
shotwell (0.12.2-0ubuntu2) precise; urgency=low

  * debian/control:
    - Add build-depends on libunity-dev
  * debian/rules:
    - Build with --unity-support (LP: #980532)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 13 Apr 2012 09:11:15 +1000

shotwell (0.12.2-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Corrects an issue where graphical corruption of the UI could
      occur if the user navigated away from a camera page while camera
      previews were being generated.
    - Adds enhanced support for the Unity desktop environment.
    - Clarified several strings.
    - The application now recovers gracefully from corrupted tag data.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 12 Apr 2012 10:44:07 +1000

shotwell (0.12.1-0ubuntu2) precise; urgency=low

  * debian/control: 
    - build with current gexiv2 to pick the current soname (lp: #971468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Apr 2012 15:35:03 +0200

shotwell (0.12.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Corrects a critical issue where the application could not be started in
      direct-edit mode.  

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Mar 2012 11:37:01 +1100

shotwell (0.12.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    (Changes since 0.11.6)
    - Adds straighten tool
    - Ported from GTK 2 to GTK 3
    - Better handling of importing from Android devices
    - Facebook and Flickr login now use OAuth authentication
    - Numerous enhancements to the plugin subsystem
    - The F-Spot importer is now implemented as a plugin
    - Many, many bugfixes and stability enhancements
  * debian/control:
    - Bump build-depends on gexiv2

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 28 Mar 2012 11:59:51 +1100

shotwell (0.11.93-0ubuntu2) precise; urgency=low

  * debian/control: build-depends on librest-dev, the publishing makefile
    requires it

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Mar 2012 16:08:00 +0100

shotwell (0.11.93-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 07 Mar 2012 10:27:48 +1100

shotwell (0.11.92-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Feb 2012 13:52:58 +1100

shotwell (0.11.91-0ubuntu2) precise; urgency=low

  * debian/control: use the correct liblaunchpad-integration version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Jan 2012 11:58:24 +0100

shotwell (0.11.91-0ubuntu1) precise; urgency=low

  * New upstream version using GTK3 (lp: #871034),
    should fix lp: #800459, #881896, #887357, #888363, #898028
  * Refreshed patches for the new version
  * debian/control:
    - updated build-dependencies for GTK3
  * debian/patches/99git_libraw_api.patch:
    - dropped, the patch is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Jan 2012 15:59:04 +0100

shotwell (0.11.6-0ubuntu2) precise; urgency=low

  * debian/patches/99git_libraw_api.patch: cherry-pick changes from git to work
    with libraw 0.14.0.
  * debian/patches/05-gomp-linking.patch: we also need to link shotwell against
    GOMP now, apparently, so add -fopenmp to the Makefile's relevant rule.
  * debian/shotwell-video-thumbnailer.1: added, it was missing from the previous
    upload and referred to by debian/manpages.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 25 Nov 2011 12:31:19 -0500

shotwell (0.11.6-0ubuntu1) precise; urgency=low

  * New upstream version
  * Resynchronize on Debian
  * debian/control.in:
    - build-depends on python-scour, liblaunchpad-integration-dev
    - don't build-depends on locales-all
  * debian/rules:
    - use configure option --disable-icon-update and dh option --with-scour

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 23 Nov 2011 21:19:35 +0100
