## shotwell 0.12.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROGRAM = shotwell
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 
-VERSION = 0.12.2
+VERSION = 0.12.3
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
