=== plugins/shotwell-publishing-extras/Makefile ===

PLUGIN := shotwell-publishing-extras

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkitgtk-3.0 \
	gee-1.0

SRC_FILES := \
	shotwell-publishing-extras.vala \
	YandexPublishing.vala \
	PiwigoPublishing.vala \
	../common/RESTSupport.vala \
	../../src/util/string.vala

RC_FILES := \
	yandex_publish_model.glade \
	piwigo.png \
	piwigo_authentication_pane.glade \
	piwigo_publishing_options_pane.glade

include ../Makefile.plugin.mk
