=== debian/changelog ===
shotwell (0.12.3-2+deb7u1) stable; urgency=low

  * Team upload.
  * debian/patches/no_assertion.patch:
    - Cherry-pick patch from upstream to fix crashes at startup replacing
      an assertion with a short-circuit return (Closes: #722909).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Oct 2013 14:04:31 +0200

shotwell (0.12.3-2) unstable; urgency=low

  * Team upload.
  * debian/patches/metadata.patch:
    - Cherry-pick patches from upstream repository to fix crashes while
      managing metadata (Closes: #665498).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 22 Jul 2012 11:56:51 +0200

shotwell (0.12.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #674720).
  * debian/patches/sidebar-bg-color.patch:
    - Removed, applied upstream.
  * debian/patches/openmp.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Move architecture-independent data into shotwell-common package.
    - Let shotwell binary depend on the new shotwell-common package.
    - Provide shotwell-dbg packaage.
  * debian/rules:
    - Pass --dbg-package=shotwell-dbg to dh sequencer.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 03 Jun 2012 12:19:04 +0200

shotwell (0.12.2-1) unstable; urgency=low

  * Team upload to unstable
  * New upstream release.
  * debian/patches/gcc_format_string.patch:
    - Removed, applied upstream.
  * debian/patches/format_string.patch:
    - Fix FTBFS with missing format string parameter.
  * debian/patches/openmp.patch:
    - Pass -fopenmp to gcc flags.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 May 2012 19:50:17 +0200

shotwell (0.12.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #666053).
    - Login into flickr with OpenID (Closes: #641472).
    - In view mode, when deleting a photo, do not switch back to
      thumbnail mode (Closes: #655100).
    - Event names are displayed correctly (Closes: #664980).
  * debian/patches/gcc_format_string.patch:
    - fix FTBFS with recent gcc.
  * debian/patches/vala-0.14.1.patch:
    - Removed, no longer needed.
  * debian/patches/*
    - Refresh for new upstream release.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Build-depend on valac-0.16.
    - Build-depend on librest-dev.
    - Refresh build-dependencies.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 29 Mar 2012 23:28:23 +0200

shotwell (0.11.6-2) unstable; urgency=low

  * Team upload.
  * debian/patches/vala-0.14.1.patch:
    - Allow compilation with vala-0.14.1.
  * debian/control:
    - Build-depend on unversioned valac (Closes: #663318).
    - Bump Standards-Version to 3.9.3.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Mar 2012 01:36:18 +0100
