=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9),
               m4,
               valac-0.16 (>= 0.15.2),
               libgee-dev (>= 0.5.0),
               libgtk-3-dev (>= 3.0.11),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.3.92),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-3.0-dev (>= 3.0.0),
               libwebkitgtk-3.0-dev (>= 1.4.0),
               libgudev-1.0-dev (>= 145),
               libraw-dev (>= 0.14),
               libusb-dev,
               libgstreamer0.10-dev (>= 0.10.28),
               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
               librest-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://yorba.org/shotwell/

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell-common (= ${source:Version}),
         librsvg2-common,
         dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.12.3-1)
Replaces: shotwell (<< 0.12.3-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
 .
 This package provides images and documentation for Shotwell

Package: shotwell-dbg
Priority: extra
Section: debug
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell (= ${binary:Version})
Description: digital photo organizer - debugging symbols
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
 .
 This package contains the debugging symbols for Shotwell.
