=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=shotwell-dbg

override_dh_auto_configure:
	dh_auto_configure -- --disable-schemas-compile

override_dh_installchangelogs:
	dh_installchangelogs NEWS
