## shotwell 0.13.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 PROGRAM = shotwell
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
-
-VERSION = 0.12.3
+PROGRAM_MIGRATOR = shotwell-settings-migrator
+
+VERSION = 0.13.0
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
 
@@ -9,9 +10,11 @@
 VALAC := valac
 endif
 VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
-MIN_VALAC_VERSION := 0.15.2
+MIN_VALAC_VERSION := 0.17.2
 INSTALL_PROGRAM := install
 INSTALL_DATA := install -m 644
+
+export MIN_GLIB_VERSION=2.30.0
 
 # needed for testing
 VALADATE_PKG_NAME := valadate-1.0
@@ -26,10 +29,10 @@
 
 CORE_SUPPORTED_LANGUAGES= ia hi ta_IN te_IN fr de it es pl et sv sk lv pt bg bn nl da zh_CN \
     el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR \
-    eu he mk te ta vi
+    eu he mk te ta vi or km
 
 EXTRAS_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
-    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta vi
+    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta eo or
 
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale
@@ -37,6 +40,10 @@
 VALAFLAGS := -g --enable-checking --thread --fatal-warnings --enable-deprecated $(USER_VALAFLAGS)
 ifdef UNITY_SUPPORT
 VALAFLAGS := $(VALAFLAGS) --define UNITY_SUPPORT
+endif
+
+ifdef WITH_GPHOTO_25
+VALAFLAGS := $(VALAFLAGS) --define WITH_GPHOTO_25
 endif
 
 DEFINES := _PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
@@ -109,10 +116,15 @@
 	ExtendedPosix.vapi \
 	LConv.vapi \
 	libexif.vapi \
-	libgphoto2.vapi \
 	libraw.vapi \
 	unique-3.0.vapi \
 	webkitgtk-3.0.vapi
+
+ifdef WITH_GPHOTO_25
+GPHOTO_VAPI_FILE = vapi/gphoto-2.5/libgphoto2.vapi
+else
+GPHOTO_VAPI_FILE = vapi/gphoto-2.4/libgphoto2.vapi
+endif
 
 RESOURCE_FILES = \
 	collection.ui \
@@ -257,6 +269,13 @@
 VAPI_DIRS = \
 	./vapi
 
+ifdef WITH_GPHOTO_25
+VAPI_DIRS += ./vapi/gphoto-2.5
+else
+VAPI_DIRS += ./vapi/gphoto-2.4
+endif
+
+
 HEADER_DIRS = \
 	./vapi
 
@@ -265,8 +284,6 @@
 	posix \
 	LConv
 
-# libraw is not listed (see note below); when libraw-config is no longer needed, it should be
-# added to this list
 EXT_PKGS = \
 	atk \
 	gdk-3.0 \
@@ -283,6 +300,8 @@
 	gudev-1.0 \
 	libexif \
 	libgphoto2 \
+	json-glib-1.0 \
+	libraw \
 	libsoup-2.4 \
 	libxml-2.0 \
 	sqlite3 \
@@ -300,16 +319,11 @@
 
 DIRECT_LIBS =
 
-LIBRAW_PKG = \
-	libraw
-
-# libraw is handled separately (see note below); when libraw-config is no longer needed, the version
-# should be added to this list
 EXT_PKG_VERSIONS = \
 	gee-1.0 >= 0.5.0 \
 	gexiv2 >= 0.3.92 \
 	gio-unix-2.0 >= 2.20 \
-	glib-2.0 >= 2.30.0 \
+	glib-2.0 >= $(MIN_GLIB_VERSION) \
 	gmodule-2.0 >= 2.24.0 \
 	gstreamer-0.10 >= 0.10.28 \
 	gstreamer-base-0.10 >= 0.10.28 \
@@ -319,6 +333,7 @@
 	gudev-1.0 >= 145 \
 	libexif >= 0.6.16 \
 	libgphoto2 >= 2.4.2 \
+	libraw >= 0.13.2 \
 	libsoup-2.4 >= 2.26.0 \
 	libxml-2.0 >= 2.6.32 \
 	sqlite3 >= 3.5.9 \
@@ -331,10 +346,7 @@
 endif
 DIRECT_LIBS_VERSIONS =
 
-LIBRAW_VERSION = \
-	0.9.0
-
-VALA_PKGS = $(EXT_PKGS) $(LOCAL_PKGS) $(LIBRAW_PKG)
+VALA_PKGS = $(EXT_PKGS) $(LOCAL_PKGS)
 
 ifndef BUILD_DIR
 BUILD_DIR=src
@@ -344,6 +356,7 @@
 DESKTOP_APP_FULL_NAME="Shotwell Photo Manager"
 DESKTOP_APPLICATION_COMMENT="Organize your photos"
 DESKTOP_APPLICATION_CLASS="Photo Manager"
+DESKTOP_APP_KEYWORDS="Camera;Picture;Photo;"
 DIRECT_EDIT_DESKTOP_APP_SHORT_NAME="Shotwell"
 DIRECT_EDIT_DESKTOP_APP_FULL_NAME="Shotwell Photo Viewer"
 DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
@@ -366,6 +379,9 @@
 THUMBNAILER_DIR := thumbnailer
 THUMBNAILER_BIN := $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
 EXPANDED_THUMBNAILER_SRC_FILES := $(foreach file, $(THUMBNAILER_SRC_FILES), $(THUMBNAILER_DIR)/$(file))
+
+MIGRATOR_DIR := settings-migrator
+MIGRATOR_BIN := $(MIGRATOR_DIR)/$(PROGRAM_MIGRATOR)
 
 EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/shotwell-core/$(po).po)
 EXPANDED_EXTRAS_PO_FILES := $(foreach po,$(EXTRAS_SUPPORTED_LANGUAGES),po/shotwell-extras/$(po).po)
@@ -391,16 +407,16 @@
 DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
 	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
 	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) $(EXPANDED_EXTRAS_PO_FILES) \
-	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot libraw-config \
+	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot \
 	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
 	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
-	$(EXPANDED_THUMBNAILER_SRC_FILES)
+	vapi/gphoto-2.5/libgphoto2.vapi vapi/gphoto-2.4/libgphoto2.vapi \
+	$(EXPANDED_THUMBNAILER_SRC_FILES) $(MIGRATOR_BIN)
 	
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
-DIST_TAR_BZ2 = $(DIST_TAR).bz2
-DIST_TAR_GZ = $(DIST_TAR).gz
-PACKAGE_ORIG_GZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz
+DIST_TAR_XZ = $(DIST_TAR).xz
+PACKAGE_ORIG_XZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.xz
 
 VALAFLAGS := $(VALAFLAGS) $(VALA_DEFINES) --vapidir=plugins/
 
@@ -436,10 +452,6 @@
 # Required for gudev-1.0
 CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE
 
-# Packaged libraw is not widely available, so we must fake what would be in its .pc file
-# if not available.
-LIBRAW_CONFIG=./libraw-config
-
 define check_valac_version
 	@ ./chkver min $(VALAC_VERSION) $(MIN_VALAC_VERSION) || ( echo 'Shotwell requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 )
 	$(if $(MAX_VALAC_VERSION),\
@@ -447,8 +459,3 @@
 endef
 
 define check_valadate_version
-	@ pkg-config $(VALADATE_PKG_NAME) --atleast-version=$(MIN_VALADATE_VERSION) || ( echo 'Shotwell testing requires Valadate $(MIN_VALADATE_VERSION) or greater.  You are running' `pkg-config --modversion $(VALADATE_PKG_NAME)` '\b.'; exit 1 )
-endef
-
-all: pkgcheck
-
