=== debian/changelog ===
shotwell (0.13.0-0ubuntu3) quantal; urgency=low

  [ Alberto Mardegan]
  * debian/patches/06_uoa.patch:
    - Remove duplicate "Shotwell" entry from .pot translation template
      (lp: #1056698)
    - Better handling of missing publishing services (lp: #1060586)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 23:00:11 +0200

shotwell (0.13.0-0ubuntu2) quantal-proposed; urgency=low

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch (LP: #1046461)
    - Support multiple accounts per service
    - Attempt automatic login
    - Remove logout buttons

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 24 Sep 2012 11:10:48 -0400

shotwell (0.13.0-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/watch:
    - Watch for stable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Sep 2012 15:21:41 +1200

shotwell (0.12.90-0ubuntu1) quantal; urgency=low

  [ Robert Ancell ]
  * New upstream release (LP: #1041011)
  * debian/watch:
    - Watch for unstable versions
    - Releases now in .xz format

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Aug 2012 16:57:19 +0200

shotwell (0.12.3-0ubuntu2) quantal; urgency=low

  * debian/patches/06_uoa.patch
    - Added UOA support
  * debian/control
    - added build depends libsignon-glib-dev and libaccounts-glib-dev 

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Aug 2012 15:40:58 -0400

shotwell (0.12.3-0ubuntu1) quantal; urgency=low

  * New upstream version, fixes:
    - Shotwell deletes tags at random (lp: #999108)
    - shotwell's unity progress bar hangs halfway across (lp: #987046)
    - Shotwell will not detect mts moviefiles on memory card (lp: #990725)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 May 2012 15:18:16 +0200

shotwell (0.12.2-0ubuntu3) quantal; urgency=low

  * debian/control:
    - Use standards version 3.9.3
    - Drop dependency on liblaunchpad-integration-3.0-dev
  * debian/patches/01_lpi.patch:
    - Dropped, we no longer do Launchpad integration

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 May 2012 16:14:15 +1200
