## shotwell 0.13.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 PROGRAM_MIGRATOR = shotwell-settings-migrator
 
-VERSION = 0.13.0
+VERSION = 0.13.1
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
