=== debian/changelog ===
shotwell (0.13.1-0ubuntu3) raring; urgency=low

  * Backport patch from upstream bug #5548 to port to GStreamer 1.0. Update
    BDs accordingly. 

 -- Iain Lane <iain.lane@canonical.com>  Fri, 30 Nov 2012 13:22:34 +0000

shotwell (0.13.1-0ubuntu2) raring; urgency=low

  * Upload to raring

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2012 17:29:21 +0100

shotwell (0.13.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream version:
    - "does not check response from fb assumes it is html/xml" (lp: #1050793)
    - Fixes an issue where Shotwell would not include all selected photos 
      during a Nautilus "Send To..." export operation (lp: #1002537)
    - Shotwell now properly inhibits the system screensaver when playing a 
      slideshow (lp: #1034412)
  * debian/patches/06_uoa.patch: new version update
  * debian/patches/dont_set_hardcoded_libexec.patch: revert upstream change,
    changing the directory this way in a SRU is wrong

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 31 Oct 2012 16:58:47 +0100
