=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               m4,
               valac-0.18 (>= 0.17.2),
               libgee-dev (>= 0.5.0),
               libglib2.0-dev (>= 2.30.0),
               libgtk-3-dev (>= 3.0.11),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.4.1-1build1),
               libgnomevfs2-dev (>= 2.24.2),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-3.0-dev (>= 1.0.0),
               libwebkitgtk-3.0-dev (>= 1.1.5),
               libgudev-1.0-dev (>= 145),
               libdbus-glib-1-dev (>= 0.80),
               libraw-dev (>= 0.13.2),
               libusb-dev,
               libjson-glib-dev (>= 0.7.6),
               libgstreamer1.0-dev (>= 1.0.0), 
               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
               python-scour,
               libunity-dev,
               librest-dev,
               libsignon-glib-dev,
               libaccounts-glib-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://yorba.org/shotwell/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Recommends: account-plugin-facebook, account-plugin-google, account-plugin-flickr
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
