## shotwell 0.14.1

=== plugins/shotwell-publishing/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	webkitgtk-3.0 \
 	gexiv2 \
 	rest-0.7 \
-	gee-1.0
+	gee-1.0 \
+	json-glib-1.0
 
 SRC_FILES := \
 	shotwell-publishing.vala \
@@ -16,14 +17,26 @@
 	PicasaPublishing.vala \
 	FlickrPublishing.vala \
 	YouTubePublishing.vala \
+	PiwigoPublishing.vala \
+	../../src/util/string.vala \
 	../common/RESTSupport.vala \
 	../common/ui.vala
 
 RC_FILES := \
 	facebook.png \
+	facebook_publishing_options_pane.glade \
 	flickr.png \
+	flickr_publishing_options_pane.glade \
+	flickr_pin_entry_pane.glade \
 	picasa.png \
-	youtube.png
+	picasa_auth_code_entry_pane.glade \
+    picasa_not_set_up_pane.glade \
+	picasa_publishing_options_pane.glade \
+	piwigo.png \
+	piwigo_authentication_pane.glade \
+	piwigo_publishing_options_pane.glade \
+	youtube.png \
+	youtube_publishing_options_pane.glade
 
 include ../Makefile.plugin.mk
