=== debian/changelog ===
shotwell (0.14.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2013 19:11:05 +0200

shotwell (0.14.0-0ubuntu1) raring; urgency=low

  * New upstream version
  * debian/control: drop leftover build-depends on libgnomevfs2-dev

  [ Alberto Mardegan]
  * debian/patches/06_uoa.patch: new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Mar 2013 19:34:19 +0100

shotwell (0.14.0~pr1-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1154324)
  * debian/control:
    - Bump build-depends on valac-0.18
    - Use standards version 3.9.4
  * debian/rules:
    - Run configure manually, it no longer handles unknown args
  * debian/patches/0001-Port-to-GStreamer-1.0.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 19 Mar 2013 09:25:40 +1300
