=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                m4,
-               valac-0.18 (>= 0.17.2),
+               valac-0.18 (>= 0.18.0),
                libgee-dev (>= 0.5.0),
                libglib2.0-dev (>= 2.30.0),
                libgtk-3-dev (>= 3.0.11),
                libexif-dev (>= 0.6.16),
                libsqlite3-dev (>= 3.5.9),
                libgexiv2-dev (>= 0.4.1-1build1),
-               libgnomevfs2-dev (>= 2.24.2),
                libgphoto2-2-dev (>= 2.4.2),
                libsoup2.4-dev (>= 2.26.0),
                libxml2 (>= 2.6.32),
@@ -32,7 +31,7 @@
                libsignon-glib-dev,
                libaccounts-glib-dev
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://yorba.org/shotwell/
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu
