=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --with-scour

override_dh_auto_configure:
	./configure --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-schemas-compile --disable-icon-update --unity-support

override_dh_installchangelogs:
	dh_installchangelogs NEWS
