=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
  http://yorba.org/download/shotwell/([\d\.]+)/shotwell-(.*)\.tar\.xz
